body {
    /* font-family: 'Courier New', monospace; */
    font-family: "whiterabbit";
    background-color: #1d1d1d;
    background-image: url('../media/backgrounds/stars3.gif');
    /* background-size: cover; */
    background-attachment: fixed;
    /* background-repeat: no-repeat; */
}

@font-face {
    font-family: "Minecraft";
    src: url("../fonts/Minecraft.ttf") format("truetype");
}

@font-face {
    font-family: "whiterabbit";
    src: url("../fonts/WhiteRabbit.woff2") format("woff2");
}

.box {
    max-width: 1050px;
    margin: 0px auto;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 200px minmax(0, 1fr) auto;
    grid-template-rows: auto max-content 1fr auto;
}

nav, main, .litem1, .litem2, aside.right-sidebar {
    border: lime 1px solid;
    /* border-style: outset; */
    background-color: lightgray;
    /* border-radius: 5px; */
    padding: 5px 5px;
    background: rgba(0, 0, 0, 0.6);
    color: lime;
}

main {
    font-family: "whiterabbit";
    font-size: 25px;
}

header {
    grid-row: 1 / 2;
    grid-column: 2 / 3;
}

.left-sidebar {
    grid-row: 2 / 4;
    grid-column: 1 / 2;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

main {
    grid-row: 2 / 4;
    grid-column: 2 / 3;
    height: max-content;
    margin: 0;
}

aside.right-sidebar {
    grid-row: 2 / 4;
    grid-column: 3 / 4;
    height: max-content;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

aside.right-sidebar p {
    margin: 0;
}

header h1 {
    color: lime;
    margin: 0px auto;
    text-align: center;
    font-family: whiterabbit;
}

main p {
    margin: 5px 0;
    color: lime;
    text-shadow: 2px 2px darkgreen;
    line-height: 1;
}

nav h4 {
    text-align: center;
    text-shadow: 1px 1px darkgreen;
}

.litem1 p {
    text-align: center;
    margin: 0;
}

.litem2 p {
    text-align: center;
    margin: 0;
}

footer {
    grid-row: 4 / 5;
    grid-column: 2 / 3;
}

footer p {
    background: #57575780;
    border-radius: 10px;
    width: max-content;
    margin: 0 auto;
    font-weight: bold;
    font-size: 11px;
    padding: 5px;
    color: lime;
}

ul {
    padding: 0;
    margin: 10px 0;
    
}

ul li::marker {
    content: none;
}

a:link {
    font-weight: bold;
    color: lime;
    text-shadow: 2px 2px black;
}

a:visited {
    color: darkgreen;
}

a:hover {
    color: greenyellow;
}

a:active {
}

h4 {
    margin: 10px 0;
}

img {
    max-width: 100%;
    display: inline;
    margin: 0 0px;
    vertical-align: bottom;
}

.right {
    float: right;
    margin-left: 10px;
}

.left {
    float: left;
    margin-right: 10px;
}

.images {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0px;
}

.images-row {
    display: flex;
    justify-content: center;
    gap: 0px;
}

li a {
    display: inline-block;
    margin: 3px;
}

[id] {
    display: none;
}

[id]:target {
    display:block;
}

.litem1 ul {
  
    list-style-type:none; /* this removes the bulletpoints */
    /* there is an annoying left padding in the ul element by default */
    padding-left:0; /* this removes it */
}

.litem1 li a {
    display:inline-block; /* this allows us to add margin to each item 
                           so there's space for it to rotate */
    margin:10px;
}

/* this makes stuff happen when you hover! */
.litem1 li a:hover {
    transform:rotate(-15deg); /* play with this 15deg value, works w/ negatives too! */
    /* more CSS transform options: https://developer.mozilla.org/en-US/docs/Web/CSS/transform */
}
